## org.hibernate.envers
Class DefaultRevisionEntity

    java.lang.Object
      org.hibernate.envers.DefaultRevisionEntity

All Implemented Interfaces:
  Serializable

    @MappedSuperclass
    public class DefaultRevisionEntity

extends Object
implements Serializable

Author:
  Adam Warski (adam at warski dot org)
See Also:
  Serialized Form

Constructor Summary
`DefaultRevisionEntity()`

Method Summary
`boolean` `equals(Object o)`
`int` `getId()`
`Date` `getRevisionDate()`
`long` `getTimestamp()`
`int` `hashCode()`
`void` `setId(int id)`
`void` `setTimestamp(long timestamp)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultRevisionEntity

    public DefaultRevisionEntity()

Method Detail

### getId

    public int getId()

### setId

    public void setId(int id)

### getRevisionDate

    public Date getRevisionDate()

### getTimestamp

    public long getTimestamp()

### setTimestamp

    public void setTimestamp(long timestamp)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.